It is currently May 22nd, '19, 07:28

Topic: Optirun is not currently supported

Play Guild Wars 2™ on Linux easily
Visit the home page

Optirun is not currently supported

Unread postby Konomi » Oct 7th, '15, 08:13

At the moment the launcher will not work with optirun, which does not handle conditions where the process it runs forks and the original process closes, this causes huge problems (it doesn't even seem to handle any forking at all).

We could hack around this but it is a lot of work, it might even involve making a completely separate version of the launcher and even if we did there are conditions in GW2 (albeit not a huge problem) where it will fork it's process and cause optirun to stop working.

Unless there is a huge demand for optirun compatibility we won't implement it due to the amount of effort and problems that would still remain even if we did.
1. Follow the order of operations
2. Don't hurt anyone
3. Do what you want
4. Don't talk about fight club :3
Boxedfox.org
User avatar
Konomi
Bash script kitten
 
Creator
Creator
 
Australia
Posts: 29
Joined:
Dec 2nd, '13, 02:45
Location:
Australia
Gender:
[♀] Female
Forum role:
Tech Guru
Operating system:
Linux

Return to WineGW2

 

Who is online

Users browsing this forum: No registered users and 1 guest

cron